#
# spec file for package perl-Throwable
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Throwable
Version:        0.200013
Release:        bp153.1.12
%define cpan_name Throwable
Summary:        Role for Classes That Can Be Thrown
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Throwable/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Devel::StackTrace) >= 1.32
BuildRequires:  perl(Module::Runtime) >= 0.002
BuildRequires:  perl(Moo) >= 1.000001
BuildRequires:  perl(Moo::Role)
BuildRequires:  perl(Sub::Quote)
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(Devel::StackTrace) >= 1.32
Requires:       perl(Module::Runtime) >= 0.002
Requires:       perl(Moo) >= 1.000001
Requires:       perl(Moo::Role)
Requires:       perl(Sub::Quote)
%{perl_requires}

%description
Throwable is a role for classes that are meant to be thrown as exceptions
to standard program flow. It is very simple and does only two things: saves
any previous value for '$@' and calls 'die $self'.

Throwable is implemented with the Moo manpage, so you can stick to Moo or
use the Moose manpage, as you prefer.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Thu Jul  2 2015 coolo@suse.com
- updated to 0.200013
  see /usr/share/doc/packages/perl-Throwable/Changes
  0.200013  2015-07-01 09:46:11-04:00 America/New_York
  - document that Moo, rather than Moose, may be used if preferred
    (Brian Manning)
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.200012
  see /usr/share/doc/packages/perl-Throwable/Changes
  0.200012  2014-09-19 21:59:28-04:00 America/New_York
  - avoid memory leaks and infinite recursion when stringifying
    (thanks, Dagfinn Ilmari Mannsåker!)
  0.200011  2014-04-02 20:49:49-04:00 America/New_York
  - eliminate prereq on Class::Load (thanks, Toby Inkster!)
  - eliminate preqre on MooX::Types::MooseLike::Base (Toby Inkster)
  0.200010  2014-03-08 22:39:25-05:00 America/New_York
  - eliminate a memory leak in StackTrace::Auto (thanks, Graham Knop!)
  0.200009  2013-10-21 22:05:53 America/New_York
  - avoid boolifying objects that might be held in the out of band
    storage
  - update bugtracker and repo metadata
  - more changes coming soon
  0.200008  2013-04-30 12:50:19 America/New_York
    avoid a Moose-using test in the suite of tests run by users (thanks,
    Dave Rolsky)
  0.200007  2013-04-09 19:20:02 America/New_York
    allow previous_exception to be passed to the constructor
  0.200006  2013-04-09 14:58:07 America/New_York
    lose old $@ in previous_exception less often under 5.17.10 (thanks,
    David Wheeler)
  0.200005  2013-04-05 15:04:52 America/New_York
    Plugged memory leak (thaljef)
  0.200004  2013-02-21 16:50:05 America/New_York
    update Throwable::Error to use around modifier instead of calling
    SUPER:: (thanks, Justin Hunter)
  0.200003  2012-10-18 08:52:20 America/New_York
    no code changes; just no longer trial
  0.200002  2012-10-09 08:56:21 America/New_York
    require Moo 1.000001
  0.200001  2012-09-22 18:10:29 America/New_York
    update a prerequisite (thanks, FREW)
  0.200000  2012-09-20 14:12:34 America/New_York
    port to Moo (FREW, MSTROUT, ILMARI)
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Jan 19 2011 coolo@novell.com
- initial package 0.102080
  * created by cpanspec 1.78.03
